Bug 538162 - SELinux is preventing /usr/bin/python "lock" access on /sys/devices/platform/dcdbas/smi_request.
Summary: SELinux is preventing /usr/bin/python "lock" access on /sys/devices/platform/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:30edcc8e3f4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-17 19:48 UTC by Kyle Martin
Modified: 2009-12-02 04:43 UTC (History)
3 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:12 UTC


Attachments (Terms of Use)

Description Kyle Martin 2009-11-17 19:48:46 UTC
Summary:

SELinux is preventing /usr/bin/python "lock" access on
/sys/devices/platform/dcdbas/smi_request.

Detailed Description:

[getSystemId has a permissive type (abrt_t). This access was not denied.]

SELinux denied access requested by getSystemId. It is not expected that this
access is required by getSystemId and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:abrt_t:s0
Target Context                system_u:object_r:sysfs_t:s0
Target Objects                /sys/devices/platform/dcdbas/smi_request [ file ]
Source                        getSystemId
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.2-2.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.i686 #1 SMP
                              Sat Nov 7 21:41:45 EST 2009 i686 i686
Alert Count                   1
First Seen                    Tue 17 Nov 2009 01:46:34 PM CST
Last Seen                     Tue 17 Nov 2009 01:46:34 PM CST
Local ID                      42ebc736-1c70-4550-88cd-8b7a6d53645c
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258487194.60:24993): avc:  denied  { lock } for  pid=3881 comm="getSystemId" path="/sys/devices/platform/dcdbas/smi_request" dev=sysfs ino=10598 scontext=system_u:system_r:abrt_t:s0 tcontext=system_u:object_r:sysfs_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1258487194.60:24993): arch=40000003 syscall=143 success=yes exit=0 a0=7 a1=2 a2=af8bec a3=bfa7ea24 items=0 ppid=3880 pid=3881 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="getSystemId" exe="/usr/bin/python" subj=system_u:system_r:abrt_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,getSystemId,abrt_t,sysfs_t,file,lock
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t sysfs_t:file lock;

Comment 1 Daniel Walsh 2009-11-17 21:21:13 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-47.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:41:58 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:25:19 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:36:18 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.